package org.rcisoft.integration.jieLink.Controller;

import io.swagger.annotations.ApiOperation;
import org.apache.commons.lang3.StringUtils;
import org.rcisoft.core.anno.CyOpeLogAnno;
import org.rcisoft.core.operlog.enums.CyLogTypeEnum;
import org.rcisoft.integration.jieLink.dto.JieLinkDoorRecordDto;
import org.rcisoft.integration.jieLink.dto.JieLinkResultDto;
import org.rcisoft.integration.jieLink.service.IJieLinkService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequestMapping("/jieLinkInter")
public class JieLinkInterController {

    @Autowired
    private IJieLinkService jieLinkService;


    @CyOpeLogAnno(title = "jieLinkInter-捷顺道闸上传门禁记录", businessType = CyLogTypeEnum.INSERT)
    @ApiOperation(value="捷顺对接集成", notes="门禁数据上传")
    @PostMapping(value = "/doorrecord")
    public JieLinkResultDto add(@RequestBody JieLinkDoorRecordDto recodeDto) {
        JieLinkResultDto result = new JieLinkResultDto();
        if(recodeDto!=null && StringUtils.isNotBlank(recodeDto.getRecordId())){
            /**
             * 开始处理上传的门禁记录
             * 1、检查访客人员是否存在，不存在是否还需要新增
             * 2、检查设备系统内是否存在，不存在返回错误信息
             * 3、保存门禁记录信息，按照年划分
             */
            JieLinkResultDto jieLinkResultDto = jieLinkService.saveDoorRecordInfo(recodeDto);
            if(jieLinkResultDto!=null){
                result = jieLinkResultDto;
            }else{
                result.setCode("SYSTEM_ERROR");
                result.setMsg("上传记录出现异常，请重新上传");
            }
        }else{
            result.setCode("ILLEGAL_ARGUMENT");
            result.setMsg("参数缺失，请检查请求实体信息");
        }
        return result;
    }


}
